Package org.drinkless.tdlib

# Class TdApi.MessageSuggestedPostPaid

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageSuggestedPostPaid

Enclosing class:
  `TdApi`

public static class TdApi.MessageSuggestedPostPaid extends TdApi.MessageContent
A suggested post was published for getOption("suggested_post_lifetime_min") seconds and payment for the post was received.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StarAmount`
  `starAmount`
  The amount of received Telegram Stars.
  `long`
  `suggestedPostMessageId`
  Identifier of the message with the suggested post; may be 0 or an identifier of a deleted message.
  `long`
  `tonAmount`
  The amount of received Toncoins; in the smallest units of the cryptocurrency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSuggestedPostPaid()`
  A suggested post was published for getOption("suggested_post_lifetime_min") seconds and payment for the post was received.
  `MessageSuggestedPostPaid(long suggestedPostMessageId, TdApi.StarAmount starAmount, long tonAmount)`
  A suggested post was published for getOption("suggested_post_lifetime_min") seconds and payment for the post was received.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### suggestedPostMessageId

    public long suggestedPostMessageId
    Identifier of the message with the suggested post; may be 0 or an identifier of a deleted message.

  - ### starAmount

    public TdApi.StarAmount starAmount
    The amount of received Telegram Stars.

  - ### tonAmount

    public long tonAmount
    The amount of received Toncoins; in the smallest units of the cryptocurrency.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSuggestedPostPaid

    public MessageSuggestedPostPaid()
    A suggested post was published for getOption("suggested_post_lifetime_min") seconds and payment for the post was received.

  - ### MessageSuggestedPostPaid

    public MessageSuggestedPostPaid(long suggestedPostMessageId, TdApi.StarAmount starAmount, long tonAmount)
    A suggested post was published for getOption("suggested_post_lifetime_min") seconds and payment for the post was received.
    Parameters:
      `suggestedPostMessageId` - Identifier of the message with the suggested post; may be 0 or an identifier of a deleted message.
      `starAmount` - The amount of received Telegram Stars.
      `tonAmount` - The amount of received Toncoins; in the smallest units of the cryptocurrency.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR